[Pharo-dev] Pharo 32bit on debian 9 stretch 64bit

Cyril Ferlicot cyril.ferlicot at gmail.com
Sat Nov 25 19:35:40 EST 2017


On Sun, Nov 26, 2017 at 1:22 AM, Cyril Ferlicot
<cyril.ferlicot at gmail.com> wrote:
> Hi,
>
> I would like to use Pharo on a Debian 9, 64bits.
>
> On Pharo website there is an explanation of the requirements for Debian 7 and 8.
>
> For Debian it is:
>
>  sudo dpkg --add-architecture i386
>  sudo apt-get update
>  sudo apt-get install libx11-6:i386
>  sudo apt-get install libgl1-mesa-glx:i386
>  sudo apt-get install libfontconfig1:i386
>  sudo apt-get install libssl1.0.0:i386
>
> The problem is that
>
>  sudo apt-get install libssl1.0.0:i386
>
> throw me this error:
>
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> Package libssl1.0.0:i386 is not available, but is referred to by
> another package.
> This may mean that the package is missing, has been obsoleted, or
> is only available from another source
>
> E: Package 'libssl1.0.0:i386' has no installation candidate
>
> Pharo cannot be use with this libssl. I think that Pharo's webstie
> should also cover Debian 9.
>
> Does someone know what should I do to get the right dependencies?
> Should I manually download the .deb of debian 8 and install it?
>

For some more info:

Apparently Debian 9 only support libssl1.0.2 and libssl1.1. I tried to
install the 1.0.2 but the VM really ask for the 1.0.0 version.

-- 
Cyril Ferlicot
https://ferlicot.fr

http://www.synectique.eu
2 rue Jacques Prévert 01,
59650 Villeneuve d'ascq France




More information about the Pharo-dev mailing list